Copyright: Copyright ¸ 1995 - 1997 QuSoft AS


Contents
QuickReport 2.0 Help

About QuickReport 2.0

Ordering QuickReport 2.0 Professional

Download updates

QuickReport components, classes, properties, methods and events:

AddPrintable method

AfterPreview event

AfterPrint event for TQuickRep

AfterPrint event for bands

Alignment property

AlignToBand property

AlignToBottom property

AllDataSets property

ApplySettings method

AutoSize property

Available Property

BandList property

Bands property for TQRSubDetail

Bands Property

BandType property

BeforePrint event of TQuickRep

BeforePrint event for Bands

Brush property

Caption property

Center property

ChildBand property

Color property

ColumnTopPosition Property

Copies Property

CurrentColumn Property

CurrentX Property

CurrentY Property

Data property

DataField property

DataSet Property

DataSet Property for TQRDBText

Description Property

Designer Property

Device property

Driver Property

Enabled Property

ExportFilter Property

Exporting Property

ExportToFilter method

Expression property for TQRExpr

Expression property for TQRGroup

Font property

FooterBand property

ForceNewColumn property

ForceNewPage property

HeaderBand property

LeftOffset property

Lines property

Mask property

Master Property for TQRChildBand

Master property for TQRExpr

NewColumn Method

NewPage Method

OnEndPage event

OnNeedData event

OnPreview Event

OnStartPage Event

Options Property

Orientation property

OutputBin property

Page Property

PageNumber Property

PaperLength Property

PaperSize property

PaperSizeSupported property

PaperWidth Property

ParentFont property

PixelsPerX property

PixelsPerY property

Prepare Method

Preview Method

Print Method

Printer Property

PrinterSettings Property

PrinterSetup Method

PrintBackground Method

PrintIfEmpty Property

QRPrinter Property

RecordCount Property

RecordNumber property

ReportTitle Property

ResetAfterPrint property

ResetPageFooterSize Method

ShowProgress Property

Stretch property

Text property

TPrinterSettings class

TQRBand component

TQRChildBand component

TQRDBImage component

TQRDBText component

TQRExpr component

TQRImage component

TQRLabel component

TQRMemo component

TQRShape component

TQRShapeType type

TQRSubDetail component

TQRSysData component

TQuickRep component

Transparent property

Shape property

Size property for Bands

Units Property

WordWrap property

Zoom Property


AddPrintable
AddPrintable method

Declaration

function AddPrintable(PrintableClass : TQRNewComponentClass) : TQRPrintable;

Applies to

TQRBand,

TQRChildBand

TQRSubDetail,

TQRGroup

Purpose

AddPrintable is used to easily add printable components to a band at runtime. The printable component will be destroyed automatically when the band is destroyed and it is not necessary to store it in a variable. This method can be used instead of manually creating the component and setting the parent property.

Example

   with DetailBand1.AddPrintable(TQRLabel) do

   begin

      Size.Left := 20;

      Size.Top := 5;

      Caption := ‘New Label!’;

   end;

This code would normally be written as follows:

   var

     aLabel : TQRLabel;

   begin

      aLabel := TQRLabel.Create(ReportForm);

      aLabel.Parent := DetailBand1;

      with aLabel do

      begin

         Size.Left := 20;

         Size.Top := 5;

         Size.Caption := ’New Label!’;

      end;

   end;

See also

AddBand


Afterpreview
AfterPreview event

Declaration

property AfterPreview : TQRAfterPreviewEvent

Applies to

TQuickRep

Purpose

The AfterPreview event is called whenever a report has been previewed and the preview form is closed. Typical use for this event can be to free a report object which has been previewed in a modeless preview.

See also

AfterPrint


AfterPreview2
AfterPreview event

Declaration

property AfterPrint(Sender : TQRCustomBand; BandPrinted : Boolean)

Applies to

TQRBand, TQRChildBand

Purpose

AfterPrint is called whenever a band has been printed. You can use the event to do any type of calculation or lookup required after a certain band is printed. The BandPrinted parameter will tell the result of any BeforePrint event’s event handler for the band.

See also

BeforePrint


AlignToBand
AlignToBand property

Declaration

property AlignToBand : Boolean (false)

Applies to

TQRDBText

TQRExpr

TQRLabel

TQRMemo

TQRSysData

Purpose

The AlignToBand property decides whether text will be align within a control itself or within its parent band. Alignment will be according to the setting of the Alignment property.

Value	Meaning
False	Alignment will be performed within the control itself (default)
True	Alignment will be performed within the controls parent band
See also

Alignment


AlignToBottom
AlignToBottom property

Declaration

property AlignToBottom : boolean

Applies to

TQRBand,

TQRChildBand

Purpose

Set AlignToBottom to True if you want any band to be printed just above the page footer instead of the regular placement right bellow the previous band. The property is useful when you want to print a summary band at the bottom of the last page or print a summary on a preprinted formula, i.e. a check.


ApplySettings
ApplySettings method

Declaration

procedure ApplySettings

Applies to

TPrinterSettings

Purpose

ApplySettings will physically set the currently selected printer settings into the selected printer. The method is called automatically by QuickReport when a report is being started.

See also

TPrinterSettings


AutoSize
AutoSize property

Declaration

property AutoSize : boolean (true)

Applies to

TQRDBText

TQRExpr

TQRImage

TQRLabel

TQRMemo

TQRSysData

Purpose

This property decides if the control will expand itself horizontally to fit the text. For multiline (memo) components it will fit the length of the longest line while for single line components (i.e. TQRLabel) this will mean the length of the entire text. Note that single line components will not stretch vertically if this property is True. For vertical sizing set AutoSize to False and AutoStretch to True.

Tasks

•	To make a columnar report where text will not overlap set AutoSize to False and manually set the width of the component to the maximum allowed value.

Value	Meaning
True	Component will expand horizontally to fit the text (default)
False	Component will not change width
See also

AutoStretch, Height, Size, Width, WordWrap


Available
Available property

Declaration

property Available : boolean

Applies to

TQuickRep

Purpose

Use the Available property to determine if a report component is in such a state that you are allowed to call the Preview or Print methods. Available is False whenever a report is in the middle of a preparation or printing process. Calling Print or Preview while Available is False will not raise an exception, the method will just return without any further notice.


BandList
BandList property

Declaration

Property BandList : TList (runtime only)

Applies to

TQuickRep

Purpose

BandList is a list of all bands included in a report. It is generally no reason for you to access this list except if you are writing some special add on components. The bands are listed in the same order as they appear on the TQuickRep component. This is


Bands
Bands property

Declaration

property Bands : TQRSubDetailGroupBands

Applies to

TQRSubDetail

Purpose

The TQRSubDetail.Bands property has two sub properties, HasHeader and HasFooter. They can be used to create and destroy header and footer bands for a TQRSubDetail component. By creating bands with this property instead of dropping a band from the component palette and linking it manually you ensure that the band type and linking is done correctly. It is also a much faster approach.

The header and footer bands will appear in their propitiate printing position on the report component.

Tasks

•	To add a header band to a QRSubDetail set the Bands.HasHeader to True

•	To remove a header band set Bands.HasHeader to False

•	To add a footer band set Bands.HasFooter to True

•	To remove a footer band set Bands.HasFooter to False

See also

TQRSubDetail


Bands2
Bands property

Declaration

property Bands : TQuickRepBands (TQuickRep)

property Bands : TQRSubDetailGroupBands (TQRSubDetail)

Applies to

TQuickRep

TQRSubDetail

Purpose

The Bands property is used to select what band types you want to include in a report. Expanding the Bands property and setting one of the sub properties to True will create a band of the specified type. Bands can also be added by selecting the TQRBand component on the Delphi component palette, dropping it on a report and setting the Band type and Name but adding it with the Bands property require much less clicking. By setting this property in code you can also add and remove bands at runtime

Example

   MyReport.Bands.HasDetail := True;


BandType
BandType property

Declaration

property BandType : TQRBandType

Applies to

TQRBand

TQRChildBand

Purpose

BandType instructs QuickReport what role a band has in a report. The band type is set automatically when bands are added by setting a sub property of the TQuickRep.Bands property to True. If you add a band by picking it from the component palette you must take care to set the right band type.

Value	Meaning
rbTitle	Title band, printed once on the first page of the report, just after the page header if that is enabled on the first page.
rbPageHeader	Printed on top of all pages. Printing on the first page depends on the setting of the TQuickRep.Options.FirstPageHeader property.
rbDetail	Printed once for each record (row) in the master dataset in your report.
rbPageFooter	Printed on the bottom of each page. Printing on the last page depends on the setting of the TQuickRep.Options.LastPageFooter property.
rbSummary	Printed on the last page after all detail bands.
rbGroupHeader	TQRGroup uses this band type. Also used as a header band for a TQRSubDetail
rbGroupFooter	Footer band for a TQRGroup or a TQRSubDetail
rbSubDetail	Special band type used by the TQRSubDetail component. Do not set this band type manually.
rbColumnHeader	Printed on top of each column in a report. Useful for printing field names in a multi column report.
rbOverlay	Not used in QuickReport 2. Included for backwards compatibility
rbChild	Special band type used by TQRChildBand. Do not set this band type manually.


BeforePrint
BeforePrint event

Declaration

property BeforePrint : TQRBeforePrintEvent

Applies to

TQuickRep

Purpose

The BeforePrint event is called whenever a report is about to being generated. Note that this will happened both before a preview and print - a better name for this event would probably be BeforeGenerate but the current name is kept for backwards compatibility. Typical use of this event is to initialize any variables you need in other event handlers during report generation.


BeforePrint2
BeforePrint event

Declaration

property BeforePrint(sender : TObject; var PrintBand : boolean)

Applies to

TQRBand

TQRChildBand

TQRSubDetail

TQRGroup

Purpose

The BeforePrint event is fired every time a band is about to be printed. You can perform calculations or set captions of components during this event. You can disable printing of the band for the current instance by setting the PrintBand parameter to False.

See also

AfterPrint


Brush
Brush property

Declaration

property Brush : TBrush

Applies to

TQRShape

Purpose

Use brush to set the fill style for TQRShape components set to print a rectangle or circle. For more information on TBrush please see the Delphi on-line help.

Tasks

•	To print a transparent shape set Brush.Style to bsClear

•	Set fill color with Brush.Color

See also

Pen


Caption
Caption property

Declaration

property Caption : string

Applies to

TQRLabel

Purpose

Caption is the text that will be printed by the component. The Caption property can be changed in events during report generation. It will size itself according to such changes and the settings of AutoSize and AutoStretch.


Center
Center property

Declaration

property Center : Boolean (True)

Applies to

TQRDBImage

TQRImage

Purpose

Center is used to decide how an image will align itself within the component.

Value	Meaning
True	The image will be centered within the client address
False	The image will be aligned with upper left corner of the client area
See also

Stretch


ChildBand
ChildBand property

Declaration

property ChildBand : TQRCustomBand (runtime, read only)

Applies to

TQRBand

TQRChildBand

TQRSubDetail

TQRGroup

Purpose

ChildBand returns any child band that has the current band as it’s master. You do not set this property directly but set it via the child band.


Color
Color property

Declaration

property Color : TColor

Applies to

TQRDBText

TQRExpr

TQRLabel

TQRMemo

TQRSysData

Purpose

The Color property sets the background color of the component.

See also

Transparent

Font


ColumnTopPosition
ColumnTopPosition property

Declaration

property ColumnTopPosition : integer (runtime only)

Applies to

TQuickRep

Purpose

ColumnTopPosition returns the vertical position on the page where the ColumnHeader band/Detail band will start printing. The value is in 1/10th MM and is only defined when TQuickRep.Available is False. You will probably never have to reference this value.


Copies
Copies property

Declaration

property Copies : integer

Applies to

TPrinterSettings

Purpose

Copies tells the printer driver how many copies of each page will be printed. This functionallity is not available in all printer drivers.


CurrentColumn
CurrentColumn property

Declaration

property CurrentColumn : integer

Applies to

TQuickRep

Purpose

CurrentColumn will tell you what column of the report is currently being prepared. In a single column report this is always 1, as is also the case during printing of Page headers and Footers and Title/summary bands.

See also

Columns


CurrentX
CurrentX property

Declaration

property CurrentX : integer

Applies to

TQuickRep

Purpose

CurrentX is the currently active horizontal position during report generation. This is the left position of the current band. The value is in the native QuickReport units (1/10th MM) and is only defined while Available is False.

See also

CurrentY


CurrentY
CurrentY property

Declaration

property CurrentY : integer;

Applies to

TQuickRep

Purpose

CurrentY is the currently active vertical position on the report during report generation. This is the top position of the current band. The value is in the nateive QuickReport units (1/10th MM) and is only defined while Available is False.

See also

CurrentX


Data
Data property

Applies to

TQRSysData

Declaration

property Data : TQRSysDataType

Purpose

The data property is used to select what system data item the TQRSysData component will print.

Value	Meaning
qrsColumnNo	Current column number (always 1 for a single column report)
qrsDate	Current date
qrsDateTime	Current date and time
qrsDetailCount	Total number of records in your dataset. If you have several tables in your report this is the record count for the master table. This data is not always available when you are using a SQL server
qrsDetailNo	The current record number in your dataset. If you have several tables in your report this is the record number for the master table
qrsPageNumber	Current page number
qrsPageCount	Displays the total number of pages in the report. Note that this requires that the report is prepared as a two pass report (TQuickRep.Options.TwoPass). This might take significantly longer time.
qrsReportTitle	The report title (TQuickRep.ReportTitle)
qrsTime	Current time


DataField
DataField property

Declaration

property DataField : string

Applies to

TQRDBImage

TQRDBText

Purpose

The DataField property selects the field will be printed by the TQRDBText component. Enter the name of the field or select it from the drop down list in the property inspector.  TQRDBText can be connected to any text or numeric fields, including memo fields. TQRDBImage should be connected to a graphics field.

See also

DataSet, TQRDBText


DataSet
DataSet property

Declaration

property DataSet : TDataSet

Applies to

TQuickRep

TQRSubDetail

Purpose

The DataSet property links the report or sub detail to a TTable or TQuery component. The dataset must be active for a report to be printed.

The dataset can be on the report form or in a data module (Delphi 2 and 3).

Records will be printed in the sort order provided by the dataset. To change the printing order of the records activate an index that matches the desired order or create a sorted query.


DataSet2
DataSet property

Declaration

property DataSet : TDataSet

Applies to

TQRDBText

TQRDBImage

Purpose

DataSet links the TQRDBText or TQRDBImage component to a table or query component. The field to be displayed can then be selected with the DataField property. The dataset can be on a separate form or on a data module (Delphi 2.0 and later).


Description
Description property

Declaration

property Description : TStrings

Applies to

TQuickRep

Purpose

Description can be used to store information about a report. A typical use of this is to display the description when a user selects a report to print or preview.

See also

ReportTitle


Designer
Designer property

Declaration

property Designer : TQRDesigner (runtime only)

Applies to

TQuickRep

Purpose

Designer is automatically linked to the currently active designer object whenever you bring up a report in a QREditor component. The designer is responsible for handling all interaction between the QuickReport and the actual QREditor. You will normally not access this value.


Device
Device property

Declaration

Property Device : string

Applies to

TPrinterSettings

Purpose

The Device property returns the name of the currently selected printer device in a PrinterSettings object.

See also

Driver, Port


Driver
Driver property

Declaration

property Driver : string

Applies to

TPrinterSettings

Purpose

The Driver property returns the name of the printer driver for the currently selected printer in a PrinterSettings object.

See also

Device, Port


Enabled
Enabled property

Declaration

property Enabled : boolean

Applies to

TQRBand

TQRChildBand

TQRSubDetail

TQRGroup

TQRLabel

TQRDBText

TQRExpr

Purpose

As long as this property is True the component is active and will be printed in the report. If it’s False the component will not be printed. For bands this result in all printable components on the band not being printed. Enabled can be changed from events during report generation.

If you change the Enabled property of a PageFooter band or a child band of a PageFooter you should call the TQuickRep.ResetPageFooterSize method.

The BeforePrint event for bands and OnPrint event for printable components can be used to temporarily turn components on and off.

See also

BeforePrint

OnPrint


ExportFilter
ExportFilter property

Declaration

property ExportFilter : TQRExportFilter

Applies to

TQuickRep

Purpose

When a export filter class is referenced in the ExportFilter property the filter will be activated during any report preparation. Normally you will use the ExportToFilter method to export a report instead of accessing this method directly. Any assigned export filter is automatically destroyed when the TQuickRep component is destroyed.

Example

To export a report to a filter you can use the following code:

MyReport.ExportFilter := TQRAsciiExportFilter.Create(‘c:\report.txt’);

MyReport.Prepare;

MyReport.ExportFilter.Free;

The easier way, using ExportToFilter would look like this:

MyReport.ExportToFilter(TQRAsciiExportFilter.Create(‘c:\report.txt’);

See also

ExportToFilter


Exporting
Exporting property

Declaration

property Exporting : boolean (read only)

Applies to

TQuickRep

Purpose

If a export filter is currently assigned to the ExportFilter property Exporting will return True, otherwise it will return False. Exporting is only defined while Available is False

See also

ExportFilter


ExportToFilter
ExportToFilter method

Declaration

procedure ExportToFilter(AFilter : TQRExportFilter)

Applies to

TQuickRep

Purpose

Call ExportToFilter when you want to save a report to an external file using a QuickReport export filter. Create an instance of an export filter class and pass it as a parameter to the method:

MyReport.ExportToFilter(TQRASCIIExportFilter.Create(’REPORT.TXT’));

See also

ExportFilter


Expression
Expression property

Declaration

property Expression : string

Applies to

TQRExpr

Purpose

Enter any valid QuickReport expression in the expression property. For more information on creating expressions see the separate chapter on this topic. Remember to set the Master property if you create an aggregated expression.

See also

Master


Expression2
Expression property

Declaration

property Expression : string

Applies to

TQRGroup

Purpose

Enter any valid QuickReport expression in the expression property. The group will break whenever the result of the expression changes. For more information see the chapter on creating expressions and on creating grouped reports.


Font
Font property

Declaration

property Font : TFont

Applies to

TQRDBText

TQRExpr

TQRLabel

TQRMemo

TQRSysData

Purpose

The Font property sets the font characteristics of the component, including typeface, size, attributes and color. For a full description of the Font property see the Delphi Online help or printed documentation.

QuickReport 2.0 supports both TrueType and printer fonts.

Tasks

•	To bring up a font selection dialog double click on the right column of this property in the property inspector.

See also

Color, ParentFont, Transparent


FooterBand
FooterBand property

Declaration

property FooterBand : TQRCustomBand

Applies to

TQRSubDetail

TQRGroup

Purpose

FooterBand is used to link a TQRSubDetail or TQRGroup component to a group footer band. The easiest way to create a group footer for a TQRSubDetail is to set the Bands.HasFooter property to True. For TQRGroup you have to add a band from the component palette and set the FooterBand property to link to the newly created band. This will set the correct band type (rbGroupFooter)

Footer bands for TQRSubDetail are printed after all detail records for a single master is printed.

For a TQRGroup the footer band is printed whenever the group expression changes or a higher level group expression changes.

See also

HeaderBand


ForceNewColumn
ForceNewColumn property

Declaration

property ForceNewColumn : boolean

Applies to

TQRBand

TQRChildBand

TQRGroup

TQRSubDetail

Purpose

If you design a multi column report and always want a certain band to be printed on top of a new column set this property to True. This is only valid for Detail, group header, group footer and sub detail bands, plus of course child bands of any of these. Default is False.

See also

ForceNewPage


ForceNewPage

Declaration

property ForceNewPage : boolean

Applies to

TQRBand

TQRChildBand

TQRGroup

TQRSubDetail

Purpose

If you want a band to always be printed on the top of a new page set this property to True. This is only valid for detail, group header, group footer and sub detail bands, plus child bands of any of these. Default is False.


HeaderBand
HeaderBand property

Declaration

property HeaderBand : TQRCustomBand

Applies to

TQRSubDetail

Purpose

HeaderBand is used to link a TQRSubDetail component to a group header band. The easiest way to create a group header for a TQRSubDetail is to set the Bands.HasHeader property to True.

Header bands are printed before all detail records for a single master is printed.

See also

FooterBand


LeftOffset
LeftOffset property

Declaration

property LeftOffset : integer

Applies to

TPrinterSettings

Purpose

LeftOffset is a read only property returning the unprintable area on the left side of  the paper for the currently selected printer in a PrinterSettings object. The value is in 1/10th of millimeters.

See also

TopOffset


Lines
Lines property

Declaration

property Lines : TStrings

Applies to

TQRMemo

Purpose

All the text in the QRMemo component can be accessed through the Lines property. The contents can be changed during report generation if desired.

Tasks

•	To assign the contents of a StringList use the Lines.Assign method.


Mask
Mask property

Declaration

property Mask : string

Applies to

TQRDBText

TQRExpr

Purpose

The Mask property will format the output of a data aware of calculated component. If no mask is set formatting will be performed according to the setting of the fields DisplayFormat property or default formatting for the respective data type.

For TDateField, TDateTimeField, and TTimeField, formatting is performed by DateTimeToStr. If no Mask or DisplayFormat is not assigned a string, the value is formatted according to the default Windows specifications in the [International] section of the WIN.INI file.

For TBCDField, TCurrencyField, and TFloatField, formatting is performed by FloatToTextFmt. If no Mask or DisplayFormat is not assigned a string, the value is formatted according to the value of the field’s Currency property.


Master
Master property

Declaration

property Master : TQRCustomBand

Applies to

TQRChildBand

Purpose

Master links a child band to a master band. If you link multiple child bands to a single master they should be linked in a chain - a band should never have more than one child pointing directly to itself.


Master2
Master property

Declaration

property Master : TComponent

Applies to

TQRExpr

Purpose

The Master property is used when you want to create an expression that aggregates a field throughout the report. An example of such a function is SUM(AmountPaid) where you want to print the total amount paid for all orders at the bottom of a report. Whenever you use any aggregation functions in a expression you will need to set the master.

The Master property tells QuickReport when to update the expression value. You can link Master to your QuickRep component or any QRSubDetail components in a report. Whenever QuickReport advances to the next record in the dataset connected to the Master the expression value is updated.

Se also

Expression, ResetAfterPrint


NewColumn
NewColumn method

Declaration

procedure NewColumn;

Applies to

TQuickRep

Purpose

Call NewColumn from event handlers during report generation to move to the next column on the page. If you are printing a single column report the flow will continue on the next page. This method can safely be called from any band’s BeforePrint event or AfterPrint event but should not be called from a printable controls OnPrint event or a OnStartPage or OnEndPage event.

See also

NewPage


NewPage
NewPage method

Declaration

procedure NewPage

Applies to

TQuickRep

Purpose

Call NewPage from event handlers during report generation to move to the next page of the report. This method can safely be called from any band’s BeforePrint event or AfterPrint event but should not be called from a printable controls OnPrint event or a OnStartPage or OnEndPage event.

See also

NewColumn


OnEndPage
OnEndPage event

Declaration

property OnEndPage : TQREndPageEvent;

Applies to

TQuickRep

Purpose

OnEndPage is called whenever a page is finished during report generation. You can use this event to update or reset any variables used in other event handler or do any screen updates you need for some special reason.

See also

OnStartPage


OnNeedData
OnNeedData event

Declaration

property OnNeedData : procedure (Sender : Tobject; MoreData : boolean)

Applies to

TQuickRep

TQRSubDetail

Purpose

OnNeedData is used when creating reports from sources other than Delphi datasources, such as string lists, arrays, text files and almost any other source imaginable. OnNeedData is called whenever QuickReport would normally issue a DataSet.Next command to move to the next record of a dataset. Setting MoreData to False will cause the report (or sub detail) to terminate.

Example

This code will print all strings in a TStringList to in a report:

var

   CurrentItem : Integer;

   SomeStringList : TStringList;

procedure TForm1.QuickRep1BeforePrint(Sender: TQuickRep;

var

   PrintReport: Boolean);

begin

   CurrentItem := 0;

   PrintReport := SomeStringList.Count > 0;

end;

procedure TForm1.QuickRep1NeedData(Sender: TObject; var MoreData; Boolean);

begin

   if CurrentItem <  SomeStringList.Count then

   QRLabel1.Caption := SomeStringList[CurrentItem];

   Inc(CurrentItem);

   MoreData := CurrentItem <= SomeStringList.Count;

end;

For more information on how to create event driven reports look at the chapter on this topic earlier in this documentation.


OnPreview
OnPreview event

Declaration

property OnPreview : procedure (Sender : TObject)

Applies to

TQuickRep

Purpose

Use the OnPreview event if you want to use a customized preview instead of the standard preview provided by QuickReport. If an OnPreview event handler is provided QuickReport will call that event instead of bringing up the default preview. The Sender parameter passed to the event handler points to a QRPrinter object which should be assigned to the QRPrinter property of a TQRPreview component on your own preview form:

procedure RepForm.MyReportOnPreviewEvent(Sender : TObject);

begin

  MyPrevForm.QRPreview.QRPrinter := TQRPrinter(Sender);

  MyPrevForm.Show;

end;


OnStartPage
OnStartPage event

Declaration

property OnStartPage : procedure(Sender : TObject);

Applies to

TQuickRep

Purpose

OnStartPage is called whenever a new page is about to be generated. You can use it to initialize any local variables you need to use during preparation of a single page.

See also

OnEndPage


Options
Options property

Declaration

property Options : TQuickReportOptions

Applies to

TQuickRep

Purpose

The options property is used to set some report characteristics. Se TQuickReportOptions for more information.

See also

TQuickReportOptions


Orientation
Orientation property

Declaration

property Orientation : TPrinterOrientation

Applies to

TPrinterSettings

Purpose

Orientation controls if the pages of a report will be printed in Landscape or Portrait mode.

You cannot switch orientation during a report. A composite report should have the same orientation for all report sections.

To set this property you should USE the Printers unit since TPrinterOrientation is declared in that unit.

Value	Meaning
poPortrait	The report will be printed in Portrait (upright) mode (default)
poLandscape	The report will be printed in Landscape mode


OutputBin
OutputBin property

Declaration

property OutputBin : TQRBin

Applies to

TPrinterSettings

Purpose

OutputBin controls which paper bin a report will be output to. If a printer does not support this property the default (first) output bin will be used. You cannot change output bin during a report.

The following values are supported:

First	Upper	Lower
Middle	Manual	Envelope
EnvManual	Auto	Tractor
SmallFormat	LargeFormat	LargeCapacity
Cassette	Last


Page
Page property

Declaration

property Page : TQRPage

Applies to

TQuickRep

Purpose

The Page property is used to set many options for page layout. See TQRPage for more information on the topic.

See also

TQRPage


PageNumber
PageNumber property

Declaration

property PageNumber : integer

Applies to

TQuickRep

Purpose

PageNumber returns the page number QuickReport is currently working on. The value is only defined while Available is False.


PaperLength
PaperLength property

Declaration

property PaperLength : integer

Applies to

TPrinterSettings

TQRPage

Purpose

PaperLength returns the length of the currently selected paper size in 1/10th millimeters.

Setting this property will cause the PaperSize property to be set to Custom.

See also

PaperSize, PaperWidth


PaperSize
PaperSizePaperSize property

Declaration

property PaperSize : TQRPaperSize

Applies to

TPrinterSettings, TQRPage

Purpose

PaperSize sets the preferred output paper size for a report. If the selected paper size is not supported by a printer the default size will be used.

To select a non listed paper size use the Custom size setting and set the physical values using the PaperLength and PaperWidth properties.

The following values are supported:

Default	Letter	LetterSmall
Tabloid	Ledger	Legal
Statement	Executive	A3
A4	A4Small	A5
B4	B5	Folio
Quarto	qr10X14	qr11X17
Note	Env9	Env10
Env11	Env12	Env14
CSheet	DSheet	ESheet
Custom
See also

PaperLength, PaperWidth


PaperSizeSupported

Declaration

property PaperSizeSupported(PaperSize : TQRPaperSize) : boolean

Applies to

TPrinterSettings

Purpose

PaperSizeSupported will return True if the currently selected printer supports printing to the paper size sent as a parameter.

See also

PaperSize


PaperWidth
PaperWidth property

Declaration

property PaperWidth : integer

Applies to

TPrinterSettings, TQRPage

Purpose

PaperWidth returns the length of the currently selected paper size in 1/10th millimeters.

Setting this property will cause the PaperSize property to be set to Custom.

See also

PaperLength, PaperSize


ParentFont
ParentFont property

Declaration

property ParentFont : boolean (true)

Applies to

TQRDBText

TQRExpr

TQRLabel

TQRMemo

TQRSysData

Purpose

The ParentFont property determines where a control looks for its font information. If ParentFont is True, the control uses the font in its parent component's (band) Font property. If ParentFont is False, the control uses its own Font property.

By using ParentFont, you can ensure that all the controls on a report have a uniform appearance.

When the ParentFont is True for a band the band uses the value of its parent QuickReport component.

Value	Meaning
True	Get font information from parent control (default)
False	Use the component’s own Font property for to set font characteristics
See also

Font


PixelsPerX
PixelsPerX property

Declaration

property PixepsPerX : integer (read only)

Applies to

TPrinterSettings

Purpose

PixelsPerX returns the horizontal resolution of the currently selected printer. The value returned are the number of pixels per inch.

See also

PiexlsPerY


PixelsPerY
PixelsPerY property

Declaration

property PixepsPerY : integer (read only)

Applies to

TPrinterSettings

Purpose

PixelsPerY returns the vertical resolution of the currently selected printer. The value returned are the number of pixels per inch.

See also

PiexlsPerX


Prepare
Prepare method

Declaration

procedure Prepare

Applies to

TQuickRep

Purpose

Prepare will generate a report without printing it or previewing it directly. Example of usage is if you want to generate a report and save it to a QRP file. The generated report is stored in the TQuickRep.QRPrinter object. When you are finished with the report you should manually free the QRPrinter and set the property to NIL.

Example

MyReport.Prepare;

MyReport.QRPrinter.Save(‘REPORT.QRP’);

MyReport.QRPrinter.Free;

MyReport.QRPrinter := nil;

See also

Preview

Print

PrintBackground

ExportToFilter


Preview
Preview method

Declaration

procedure Preview;

Applies to

TQuickRep

Purpose

Call Preview to bring up a on screen preview of a report. By default QuickReport will use its own build in standard preview form but you can override the TQuickRep.OnPreview event to create your own preview form. Preview is a modal call and program execution will not continue until the preview is closed.

See also

Print


Print
Print method

Declaration

procedure Print

Applies to

TQuickRep

Purpose

Call Print to print a report. The report will be generated directly to the currently selected printer.

Example

MyReport.Print

See also

Preview


Printer
Printer property

Declaration

property Printer : TQRPrinter

Applies to

TQuickRep

Purpose

This is the same as the QRPrinter property. Please see that property for more info.


PrinterSettings
PrinterSettings property

Declaration

PrinterSettings : TQRPrinterSettings

Applies to

TQuickRep

Purpose

PrinterSettings is used to set the number of Copies and to turn multi page printing (duplex) on and off. See TQRPrinterSettings for more information.


PrinterSetup
PrinterSetup method

Declaration

procedure PrinterSetup;

Applies to

TQuickRep

Purpose

PrinterSetup will bring up a printer setup dialog allowing the user to select printer, number of copies and other printer specific settings before printing a report. Note that the selections done in the setup dialog is only valid as for the current report object instance.


PrintBackground
PrintBackground method

Declaration

procedure PrintBackground

Applies to

TQuickRep

Purpose

PrintBackground will create a background thread to print the report and return program execution to the next line of code. The AfterPrint event will be called when the report generation is completed. This method is only available in the 32 bit version.

See also

Print


PrintIfEmpty
PrintIfEmpty property

Declaration

property PrintIfEmpty : boolean

Applies to

TQuickRep

TQRSubDetail

Purpose

PrintIfEmpty controls how the report (or sub detail section) will behave if there are no records available for printing. If PrintIfEmpty is True headers and footers will be printed, if False nothing will be printed.


QRPrinter
QRPrinter property

Declaration

property QRPrinter : TQRPrinter

Applies to

TQuickRep

Purpose

Each TQuickRep component creates its own private QRPrinter object when a report is being prepared. This local QRPrinter object can be referenced via the QRPrinter property. Printable components will print to this QRPrinter’s canvas. Do not confuse this QRPrinter with the one public QRPrinter created at application startup and which is available for general use in your application.


RecordCount
RecordCount property

Declaration

property RecordCount : integer

Applies to

TQuickRep

Purpose

RecordCount returns the number of records in a dataset. If the dataset is SQL based RecordCount returns 1. This value is used to calculate the position of the progress bar.

See also

RecordNumber


RecordNumber
RecordNumber property

Declaration

property RecordNumber : integer

Applies to

TQuickRep

Purpose

RecordNumber is the current record number being printed in the master data set. This value is used to update the progress bar.

See also

RecordCount


ReportTitle
ReportTitle property

Declaration

property ReportTitle : string

Applies to

TQuickRep

Purpose

ReportTitle is used to give a short description of the report. The report title appears as the print job name in the Print Manager and in any network printer queues. This is also the value returned by the TQRSysData component with Data set to ReportTitle. You can also use this as a menu item if you want users to be able to select among reports. To give a long description of a report use the Description property

See also

Description


ResetAfterPrint
ResetAfterPrint property

Declaration

property ResetAfterPrint : Boolean

Applies to

TQRExpr

Purpose

When using aggregated functions in a report you might sometimes want a running total and sometimes want to restart the calculation after the component has been printed, i.e. to create grouped totals. This behavior is controlled by the ResetAfterPrint property. This property has no meaning if the Master property is blank (no aggregation is performed).

Tasks

•	To reset a TQRExpr component manually during report preparation call the TQRExpr.Reset from any report event.

Value	Meaning
True	The value of the TQRExpr component is reset after the current value has been printed.
False	The value of the TQRExpr component is never reset.


ResetPageFooterSize
ResetPageFooterSize method

Declaration

procedure ResetPageFooterSize

Applies to

TQuickRep

Purpose

If you enable or disable any page footer bands during report generation you should call ResetPageFooterSize so QuickReport can recalculate how much space is available for detail data on a page.

Example

     PageFooterBand1.Enabled := False;

    QuickRep1.ResetPageFooterSize;;


ShowProgress
ShowProgress property

Declaration

property ShowProgress : boolean

Applies to

TQuickRep

Purpose

If ShowProgress is True a progress form will appear when you call the QuickRep.Print or QuickRep.PrintBackground methods. If ShowProgress is False no progress form will appear.

The progress form has a cancel button which the user can press to cancel the report job.


Stretch
Stretch property

Declaration

property Stretch : Boolean (False)

Applies to

TQRDBImage

TQRImage

Purpose

Stretch selects how QuickReport will scale a picture relative to the actual component size.

Value	Meaning
True	The image will be stretched to fit within the client area
False	The image will be printed in its original size and eventually clipped at the client rectangle if too big to fit within it


Text
Text property

Declaration

property Text : String

Applies to

TQRSysData

Purpose

The contents of the Text property will be printed prior to the actual value of the TQRSysData component. For example if Text is ‘Page ‘ and Data is set to PageNumber the component will display ‘Page 1’, ‘page 2’ and so on.


TPrinterSettings
TPrinterSettings class

Unit

QRPRNTR

Declaration

TPrinterSettings = class

Purpose

TPrinterSettings is an internal QuickReport class used to access the printer driver. You can access it through the TQRPrinter.PrinterSettings property.

Properties

Copies

Device

Driver

Duplex

LeftOffset

MaxExtentX

MaxExtentY

MinExtentX

MinExtentY

Orientation

OutputBin

PaperLength

PaperSize

PaperSizeSupported

PaperWidth

PixelsPerX

PixelsPerY

Port

Printer

Title

TopOffset

Methods

ApplySettings

See also

TQRPrinter


TQRBand
TQRBand component

Unit

QUICKRPT

Declaration

TQRBand = class(TQRCustomBand)

Purpose

Bands are some of the main building blocks of your reports. You drop bands on a TQuickRep component and set the BandType property to tell how the band will behave during report generation.

You can not set band width manually as it is calculated automatically by QuickReport depending on the currently selected paper size, margins and number of columns.

Tasks

•	Use the Font property to set the parent font of all printable text components placed on the band

•	Bands can be enabled and disabled with the Enabled property

•	Set the band background color with the Color property

•	Use the Size property to set exact band length

•	Use the AddPrintable method to easily add printable components to a band at runtime

Properties

AlignToBottom

BandType

ChildBand

Enabled

ForceNewColumn

ForceNewPage

Frame

HasChild

Size

Events

AfterPrint

BeforePrint

Methods

AddPrintable

See also

TQRChildBand


TQRChildBand
TQRChildBand component

Unit

QUICKRPT

Declaration

TQRChildBand = class(TQRCustomBand)

Purpose

Child bands are used as extensions to regular bands. If you have bands with expanding components and want other components to be moved down accordingly you can create a child band and put the moving components on it. It’s also useful if you have very long bands which will span multiple pages.

If you create more than one child bands for any band you should create them as a chain, linking one child band to the master band, then another child band to the first child and so on. If a master has more than one child directly assigned only one of them will be printed.

You can enable and disable child bands individually. A child band will be printed even if it’s parent band was disabled.

Add a child band by setting any bands HasChild property to True. This will create a TQRChildBand component and set the master property correctly. You can also create it by selecting it on the component palette and dropping it on the report. You must then take care to set the Master property correctly.

Properties

AlignToBottom

BandType

ChildBand

Enabled

ForceNewColumn

ForceNewPage

Frame

HasChild

Events

AfterPrint

BeforePrint

Methods

AddPrintable

See also

TQRBand


TQRDBImage
TQRDBImage component

Unit

QRCTRLS

Declaration

TQRDBImage = class(TQRPrintable)

Purpose

TQRDBImage is used to print images stored in binary (BLOB) fields. Any graphics format supported by Delphi can be printed.

Properties

Center

DataField

DataSet

Stretch

See also

TQRImage


TQRDBText
TQRDBText component

Unit

QRCTRLS

Declaration

TQRDBText = class(TQRCustomLabel)

Purpose

Use a TQRDBText component to print the value of a database field. It is essentially a data aware version of the TQRLabel. Any text field types can be printed, including String fields, various numeric fields, date fields and memo fields. Also calculated fields can be printed. Text can span multiple lines and pages. You connect the component to the data field by setting the DataSource and DataField properties. Unlike regular data aware components TQRDBText works even with dataset controls disabled. Generating a report with controls disabled will improve speed.

To format output of numeric or date fields use the Mask property. If no Mask is set the DisplayFormat from the field itself is used. If no DisplayFormat is set default formatting will be used. For information on how to set the Mask property look up FloatToTextFmt and DateTimeToStr in the Delphi documentation.

For more information on text alignment, word wrapping and sizing see the TQRLabel component.

Properties

Alignment

AlignToBand

AutoSize

AutoStretch

Color

DataSet

DataField

Font

Mask

ParentFont

Transparent

WordWrap

In addition this component has all the properties and events of all printable components.

See also

TQRExpr


TQRExpr
TQRExpr component

Unit

QRCTRLS

Declaration

TQRExpr = class(TQRCustomLabel)

Purpose

TQRExpr is a general purpose component for printing database fields, calculations and static text. Input a valid QuickReport expression in the Expression property.

If you use an aggregation function in your expression make sure you set the Master property.

To access the value of the TQRExpr component by code access the Value property. This is a TQREvResult record structure - see QRPRNTR.PAS for the declaration of this structure.

See the chapter on creating expressions for more help on using this component.

Properties

Alignment

AlignToBand

AutoSize

AutoStretch

Expression

Font

Mask

Master

ParentFont

ResetAfterPrint

Transparent

WordWrap

In addition this component has all the properties and events of all printable components.


TQRImage
TQRImage component

Unit

QRCTRLS

Declaration

TQRImage = class(TQRPrintable)

Purpose

TQRImage is used to display a picture on a report. Any image formats supported by the Delphi TPicture class is supported.

Properties

Center

Picture

Stretch

In addition this component has the properties of all printable components.

See also

TQRDBImage


TQRLabel
TQRLabel component

Unit

QRCTRLS

Declaration

TQRLabel = class(TQRCustomLabel)

Purpose

The TQRLabel component is a printable control used to print static or other non-database text. Enter the text to be displayed in the Caption property. Text can be split on multiple lines and even multiple pages.

Tasks

•	If you want the component to expand/shrink horizontally to fit the text set AutoSize to True.

•	To print text in a preset, possibly multiline rectangle set AutoSize and AutoStretch to False and set the controls size to the desired area.

•	To center text on the page or in a column set Alignment to taCenter and  AlignToBand to True.

•	For text to expand it’s area vertically to fit text set AutoSize to False and AutoStretch to True.

•	To prevent the text from being printed set Enabled to False.

Properties

Alignment

AlignToBand

AutoSize

AutoStretch

Caption

Color

Font

ParentFont

Transparent

WordWrap


TQRMemo
TQRMemo component

Unit

QRCTRLS

Declaration

TQRMemo = class(TQRCustomLabel)

Purpose

TQRMemo is used to print a large amount of text which does not come from a database field. It can be static text or you can change it during report generation. The field can be set to expand vertically as needed and can then span multiple pages if necessary.

Properties

Alignment

AlignToBand

AutoSize

AutoStretch

Color

Font

Lines

ParentFont

Transparent

WordWrap

In addition this component has all the properties and events of all printable components.

See also

TQRLabel


TQRShape
TQRShape component

Unit

QRCTRLS

Declaration

TQRShape = class(TQRPrintable)

Purpose

TQRShape is used to draw simple shapes like rectangles, circles and lines on a report.

Set the type of shape you want in the Shape property.

Set the pen color and style you want in the Pen property.

Set the fill style and color you want in the Brush property.

Properties

Brush

Pen

Shape


TQRShapeType
TQRShapeType type

Unit

QRCTRLS

Declaration

TQRShapeType = (qrsRectangle, qrsCircle, qrsVertLine, qrsHorLine, qrsTopAndBottom, qrsRightAndLeft);

Purpose

TQRShapeType is the type definition of the TQRShape.Shape property.

See also

Shape


TQRSubDetail
TQRSubDetail component

Unit

QUICKRPT

Declaration

TQRSubDetail = class(TQRControllerBand)

Purpose

TQRSubDetail is used to link additional datasets into a report. Typically you will set up a master detail relationship between table or query components and create a similar relationship with TQRSubDetail components.

The component is dropped on a form and acts as a band. You can create assign a dataset to the DataSet property or create an event driver sub detail with the OnNeedData event.

Link the band to the master component with the Master property. Printing of the SubDetail will be before or after the master detail band depending on the setting of the PrintBefore property. The band should appear in the designer according to printing position in the final report.

Se the chapter on master detail reports for more information on creating this type of reports.

Se the description of TQRBand for general information on the band related properties.

Properties

AlignToBottom

Bands

ChildBand

DataSet

Enabled

FooterBand

ForceNewColumn

ForceNewPage

Frame

HasChild

HeaderBand

Master

PrintBefore

Events

AfterPrint

BeforePrint

      OnNeedData


TQRSysData
TQRSysData component

Unit

QRCTRLS

Declaration

TQRSysData = class(TQRCustomLabel)

Purpose

TQRSysData is used to print system information like report title, current page number and so on. Select the data to print in the Data property. Set any preceding text in the Text property.

Properties

Alignment

AlignToBand

AutoSize

Data

Font

ParentFont

Text

Transparent


TQuickRep
TQuickRep component

TQuickRep component

Unit

QUICKRPT

Declaration

TQuickRep = class(TQRBasePanel)

Purpose

TQuickRep is the construction yard on which you build all your reports. It is a visual component which takes the shape of the currently selected paper size. Reports are created by dropping bands and printable components on the TQuickRep component and connecting it to a dataset.

To add bands easily expand the Bands property and select the bands you want on your report. The selected bands will be created and given a descriptive name. If you add many (long) bands to your report they might disappear bellow the edge of the TQuickRep component. Right click on the component and select rotate bands to view hidden bands.

Right click on the component and select Preview to get a preview of your report at design time (while in the Delphi form designer).

Drop printable components on the TQuickRep surface itself to print them at a static position as an overlay. Right click and select Hide Bands to remove the bands temporarily, allowing you to work with a blank overlay surface. Right click again and select Reset Band View to get the bands back.

Call the Print method to print a report in your application. Call Preview to bring up a preview of the report from your code.

In the 32 bit version (Delphi 2.0 and later) you can call PrintBackground to print the report in a background thread.

Properties

AllDataSets	Available
BandList	Bands
ColumnTopPosition	CurrentColumn
CurrentX	CurrentY
DataSet	Description
Designer	ExportFilter
Exporting
Options	Page
PageNumber	Printer
PrinterSettings	PrintIfEmpty
QRPrinter	RecordCount
RecordNumber	ReportTitle
RotateBands	ShowProgress
Units	Zoom
Events

AfterPreview	AfterPrint
BeforePrint	OnEndPage
OnNeedData	OnPreview
OnStartPage
Methods

ExportToFilter	NewColumn
NewPage	Prepare
Preview	Print
PrinterSetup	PrintBackground
ResetPageFooterSize


Transparent
Transparent property

Declaration

property Transparent : Boolean (True)

Applies to

TQRDBText

TQRExpr

TQRLabel

TQRMemo

TQRSysData

Purpose

The Transparent property determines whether the control will paint it background or not. If the background is not painted you can see other underlying components through the text.

Value	Meaning
True	The background will not be painted (default)
False	The background will be painted with the color set in the Color property
See also

Color


Shape
Shape property

Declaration

property Shape : TQRShapeType

Applies to

TQRShape

Purpose

Shape is used to select the shape type for the TQRShape compoenent.

Value	Meaning
qrsCircle	Draws a circle
qrsHorLine	Draws a horizontal line in the middle of the component
qrsRectangle	Draws a rectangle
qrsRightAndLeft	Draws veritcal lines along the left and right edges
qrsTopAndBottom	Draws horizontal lines along the top and bottom edges
qrsVertLine	Draws a vertical line centered in the component


Size
Size Size property

Declaration

property Size : TQRBandSize

Applies to

TQRBand,

TQRChildBand,

TQRSubDetail,

TQRGroup

Purpose

Size is used to set exact length of a band. It will also report the current width of the band but the width cannot be set. The values are reported and set using the currently selected QuickReport units. Band length can also be set by selecting the band in the designer and dragging the top or bottom grab handles or by setting the Height property for the component.


Units
Units property

Declaration

property Units : TQRUnits

Applies to

TQuickRep

Purpose

The Units property decide what measurement units  QuickReport works with. The values of all Size properties, as well as the TQuickRep.Page property reflects the currently selected unit. When this property change all components update to reflect the newly selected unit.

Value	Meaning
Inches	Values are given in inches.
MM	Values are given in Millimeters
Pixels	Values are given in Pixel units for the current screen resolution
Native	Values are given in the internal QuickReport format which is 1/10th MM
Characters	Units are given in Character units, reflecting the currently selected QuickRep.Font.Size (Note: this setting is not working correctly in the current release)


WordWrap
WordWrap property

Declaration

property WordWrap : Boolean (True)

Applies to

TQRDBText

TQRExpr

TQRLabel

TQRMemo

Purpose

WordWrap decides if a component will wrap text lines to fit within a predefined line length or not. A component will print all text

The WordWrap property determines if text in a label or memo wraps at the right margin so that it fits in the component. You can make the component expand vertically to give print text not fitting into the preset height by setting AutoStretch to True. WordWrap has no effect if AutoSize is True.

Value	Meaning
True	The component will wrap text at the right margin (default)
False	Text will be clipped at right margin
See also

AutoSize, AutoStretch, Size


Zoom
Zoom property

Declaration

property Zoom : integer

Applies to

TQuickRep

Purpose

To make it easier to view the entire report on screen while designing you can zoom out with the zoom property. A setting of 100 will give you a 1 to 1 representation of the report, 50 will give you a 50% size representation and 150 will zoom in 50% on the report. The value can be set to anything between 1 and 300. Setting the Zoom has no effect on the size of a printed or previewed report.


AfterPrint
AfterPrint event

Declaration

property AfterPrint : TQRAfterPrintEvent

Applies to

TQuickRep

Purpose

The AfterPrint event is called whenever the a report has been printed. Typical use for this event is to free a report object which has been printed in a background thread.

See also

AfterPreview


AfterPrint2
AfterPrint event

Declaration

property AfterPrint(Sender : TQRCustomBand; BandPrinted : Boolean)

Applies to

TQRBand

TQRChildBand

Purpose

AfterPrint is called whenever a band has been printed. You can use the event to do any type of calculation or lookup required after a certain band is printed. The BandPrinted parameter will tell the result of any BeforePrint event’s event handler for the band.

See also

BeforePrint


Alignment
Alignment property

Declaration

property Alignment : TAlignment (taLeftJustify)

Applies to

TQRDBText

TQRExpr

TQRLabel

TQRMemo

TQRSysData

Purpose

Alignment controls how text is aligned within a control or a band. If AlignToBand is False text will be aligned within the horizontal space of the component itself while it will be aligned within the entire page or column if AlignToBand is True.

Value	Meaning
taLeftJustify	Align text to left side of control of page/column (default)
taRightJustify	Align text to right side of control or page/column
taCenter	Center text within control or page/column
See also

AlignToBand


AutoStretch
AutoStretch property

Declaration

property AutoStretch : Boolean (false)

Applies to

TQRDBText

TQRExpr

TQRLabel

TQRMemo

Purpose

AutoStretch is used to select how components will behave if there is not enough space to print all text within its given height. If AutoStretch is True the component will expand vertically one line at a time until all text is printed. The parent band will also be expanded. If there is not enough space in the column or on the page a new column/page will be started. Note that some care should be taken when designing reports with stretching controls. For now you should only place one stretching component on each band.

Tasks

•	To automatically move other components down when a component stretches add a ChildBand to the current band and move these controls to that band.

Value	Meaning
True	Component will expand vertically if there is not enough room for the text
False	Component will not expand vertically. Text will be clipped (default)
See also

AutoSize, WordWrap


AllDataSets
AllDataSets property

Declaration

property AllDataSets : TList;

Applies to

TQuickRep

Purpose

AllDataSets is a list of all datasets referenced in a report. QRExpr components can access field values from datasets included in this list. If you want to access fields from other datasets you can add them to this lists.

Example

  CustReport.AllDataSets.Add(Employee)


OrderQR2Pro
Order QuickReport 2.0 Professional

To untap the full power of QuickReport 2.0 you can order QuickReport 2.0 Professional. Point your web browser to our web site at http://www.qusoft.com and complete the online order form or print the order form found in the Delphi 3.0\quickrpt\qr2.doc documentation file.

QuickReport 2.0 Professional gives you many new powerful features. A fully working evaluation version can also be downloaded from our web

site.


AboutQR2
About QuickReport 2.0

QuickReport 2.0 is copyright 1995 - 1997 by QuSoft AS

Our postal address is:

  QuSoft AS

  Fred Olsens gt. 1

  N-0152 Oslo

  Norway

Our Fax number is:

  +47 22 41 74 91

We can be reached by e-mail:

  support@qusoft.no

You can visit our web site:

  http://www.qusoft.no

QuickReport is developed by Allan Lochert.

Thanks to:

  David Berneda, TeeMach

  Chuck Jazdzewski, Borland

  Todd Miller, Borland

  Will Morris, Borland

  Magne Nilsen, Vega Software

  Diane Rogers, Borland

  Danny Thorpe, Borland

QuickReport would not have been what it is today without the help and support from all these people.


Download
Download updates

Free QuickReport updates and enhanced help/documentation can be downloaded from the QuSoft web site at http://www.qusoft.com